> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/extra-info-container.md).

# extraInfoContainer

Container holding additional context info for an issue or evidence.

### Examples

```graphql
type ExtraInfoContainer {
  layerSha: String
  layerNum: Int
  artifactName: String
  sha: String
  registryName: String
}
```

### Fields

| Field                 | Description                                             | Supported fields |
| --------------------- | ------------------------------------------------------- | ---------------- |
| layerSha `String`     | SHA identifier of the container layer                   |                  |
| layerNum `Int`        | Number of the container layer                           |                  |
| artifactName `String` | Name of the artifact related to this info               |                  |
| sha `String`          | SHA identifier of the artifact or related item          |                  |
| registryName `String` | Name of the registry from which the artifact originates |                  |

### References

#### Fields with this object:

* [{} SeverityChangedReason.extraInfoContainer](/api-documentation/api-reference/api--issue/types/objects/severity-changed-reason.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/extra-info-container.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
